![DINish](din-vs-dinish.jpeg "DIN vs DINish")

The [DINish](https://github.com/playbeing/dinish) font is derived from
[Altinn-DIN](https://github.com/Altinn/altinn-din), which in turn is
based on Datto's [D-DIN](https://web.archive.org/web/20210204024059/https://www.datto.com/fonts/d-din/). Datto
commissioned Monotype to create D-DIN and open sourced it. Monotype's
Creative Type Director
[Charles Nix](https://www.monotype.com/studio/charles-nix)
did the actual design.
The font is made available under the [SIL Open Font License v1.1](https://raw.githubusercontent.com/playbeing/dinish/master/OFL.txt).

Below is the description of the font (also contained in [FONTLOG.txt](https://raw.githubusercontent.com/playbeing/dinish/master/FONTLOG.txt)).


## Introduction

The name DINish refers to the fact that the typeface looks like DIN 1451.
Actually, a quick comparison with the standard as can be found in historic
sources shows DINish to not be fully compatible with the standard,
at least not as it was in 1936. That is probably a good thing.

Reading the DIN 1451 standard with modern eyes reveals that it is
more like a lettering standard for technical drawings than a typeface
specification. The standard has no concern for how the brain processes
shapes and whitespace. DINish was drawn with the human reader in
mind, with subtle but loving exceptions to the rigid grid-and-ruler
specification from the _Deutsche Norm_. That said, it retains DIN's
clarity and as such it is a typeface with a purpose, if not a mission.

DINish is available in three widths: standard, Condensed and Expanded. The
standard width roughly matches DIN Mittelschrift, the Condensed width
roughly matches the DIN Engschrift, and Expanded is like DIN
Breitschrift (rarely used in Germany, actually). There are Regular,
Bold and Italic variants; the only combination that is missing is
Condensed Italic.

## Historic roots

DIN 1451 is a [sans-serif](https://en.wikipedia.org/wiki/Sans-serif) typeface
that is widely used for traffic, administrative and technical applications.

It was defined by the German standards body DIN -
[Deutsches Institut für Normung](https://en.wikipedia.org/wiki/Deutsches_Institut_f%C3%BCr_Normung)
(German Institute for Standardization) in the standard sheet DIN 1451-Schriften (typefaces)
in 1931. Similar standards existed for stencilled letters.

Originally designed for industrial uses, the first DIN-type fonts were a
simplified design that could be applied with limited technical difficulty.
Due to the design's legibility and uncomplicated, unadorned design, it has
become popular for general purpose use in signage and display adaptations.
Many adaptations and expansions of the original design have been released
digitally.

See [https://en.wikipedia.org/wiki/DIN_1451](https://en.wikipedia.org/wiki/DIN_1451) for more information.

Datto uses a DIN-font as primary corporate font and commissioned Monotype to
create several styles, for internal use and to be open sourced under a SIL
OFL v1.1 license.

Altinn changed the reserved font names from "D-DIN" to "Altinn-DIN"
to be able to do modifications, as required by the SIL OFL v1.1 license.
Pursuant to the same license, the name had to be changed yet again
to drop the reserved font names. Hopefully, DINish will stick.

DINish currently provides the following Unicode coverage:

- Basic Latin: complete
- Latin-1 Supplement: complete
- Plus ISO 8859-15 characters missing in the above.

## Information for Contributors

This Font Software is licensed under the [SIL Open Font License, Version 1.1](https://raw.githubusercontent.com/playbeing/dinish/master/OFL-1.1.txt).

[Fontmake](https://github.com/googlefonts/fontmake) is used for generating
fonts, as are [SIL's pysilfont](https://github.com/silnrsi/pysilfont),
[Google's fontbakery](https://github.com/googlefonts/fontbakery) and
[gf-tools](https://github.com/googlefonts/gftools). Both
[FontForge](https://github.com/fontforge/fontforge) and
[TruFont](https://github.com/trufont/trufont) have proven invaluable
for editing.

Copyright © 2021 Bert Driehuis (https://github.com/playbeing/dinish)\
Copyright © 2019 Altinn (https://github.com/Altinn/altinn-din)\
Copyright © 2017 Datto Inc. (https://www.datto.com/fonts/d-din)

## Acknowledgements

DINish is derived from Altinn-DIN.

The [Altinn-DIN](https://github.com/Altinn/altinn-din) font is based on Datto [D-DIN](https://web.archive.org/web/20210204024059/https://www.datto.com/fonts/d-din/).

D-DIN is based on a Monotype-font that Datto acquired to be open sourced.
Design: Charles Nix (Monotype).

## ChangeLog

- 2021-04-24 - v2.003: Split into three families, minor cleanups
- 2021-04-13 - v2.002: Renamed to DINish, cleaned up for submission to Google Fonts
- 2021-04-03 - v2.001: Converted to ufo, see NOTES.md
- 2019-11-20 - v2.0: Renamed D-DIN to Altinn-DIN to be able to do minor modifications
- 2017-10-26 - v1.0: First public release
